Roll back a jail snapshot
POST
/jail/{ctid}/snapshots/{snapshotId}/rollback
const url = 'https://sylve.lan:8181/api/jail/1/snapshots/1/rollback';const options = {method: 'POST', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sylve.lan:8181/api/jail/1/snapshots/1/rollback \ --header 'Authorization: <Authorization>'Stop the jail if needed, recursively roll its ZFS dataset tree back while destroying newer snapshots, restore saved configuration, and attempt to restore the prior running state
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”ctid
required
integer
Jail CTID
snapshotId
required
integer
Jail Snapshot ID
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
restarted
boolean
warnings
Array<string>
wasRunning
boolean
error
string
message
string
status
string
Examplegenerated
{ "data": { "restarted": true, "warnings": [ "example" ], "wasRunning": true }, "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Not Found
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Conflict
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Service Unavailable
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}